<?php

/**
 * Suppliers form.
 *
 * @package    sf
 * @subpackage form
 * @author     Atma
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class SuppliersForm extends BaseSuppliersForm
{
    public function configure()
    {
        $this->useFields(array('org', 'fio', 'phone', 'email'));

        $this->widgetSchema['org'] = new sfWidgetFormInputText(array(), array("size" => 64, "maxlength" => 255, 'required' => true));
        $this->validatorSchema['org'] = new sfValidatorString(array('max_length' => 1000, 'required' => true));
        $this->widgetSchema['email'] = new sfWidgetFormInputText(array(), array("size" => 30, "maxlength" => 255));
        $this->widgetSchema['phone'] = new sfWidgetFormInputText(array(), array("size" => 30, "maxlength" => 255));
        $this->validatorSchema['email'] = new sfValidatorEmail(array('required' => false));
    }
}
